=== debian/changelog ===
massxpert (3.2.0-2) unstable; urgency=low

  * debian/control: configure packaging for debug symbols (new
    massxpert-dbg binary package added).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 24 Nov 2011 13:42:48 +0100

massxpert (3.2.0-1) unstable; urgency=low

  * Upstream release:

    - Added feature to simulate fragmentations of oligomers that contain
    cross-links. 
    
    - Updated the user manual to document the new feature.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 22 Oct 2011 21:45:33 +0200

massxpert (3.1.0-1) unstable; urgency=low

  * Upstream release:

    - Updated the user manual since a long time, documenting part of the
    features implemented since last manual update;
  
    - Implemented automatic naming of XpertMiner input data dialog
    windows;
  
    - Implemented export of XpertMiner output data into new input data
    dialog windows, so as to be able to chain calculations;
    
    - Refactored isotopic cluster calculation code;
    
    - Implemented a new spectrum calculation feature that simulates a
    complete spectrum starting from a list of oligomers obtained by
    cleavage of a polymer sequence. An isotopic cluster can be computed
    for each oligomer in the list or not. If not, the mono or avg mass can
    be used to compute the peak shape;
    
    - Implemented a new spectrum calculation feature that simulates a
    complete spectrum starting from a list of analytes obtained by
    calculating a m/z ratio series with a elemental formula as the
    starting point.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 29 Aug 2011 19:01:23 +0200

massxpert (3.0.0-1) unstable; urgency=low

  * Upstream release:
    
    - Major rework of the XpertMiner module;
    - Bug fixes;
    - Feature improvements.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 21 Jul 2011 22:51:24 +0200

massxpert (2.9.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView data display method the whole XpertMiner
    module. This allows for easier code maintaining and for clearer
    graphical user interface.
    
    - Refactored code in the MzLabInputOligomerTreeView class code to
    improve quality and readability.
  
    - Improved the XpertMiner window layout for more clarity.

    - Added feature to call a calculator window right from the sequence
    editor window with either whole/selected sequence masses preseeded.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 17 Jul 2011 18:43:48 +0200

massxpert (2.8.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView mass search oligomer display (was using
    TreeView);

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 11 Jul 2011 14:52:08 +0200

massxpert (2.7.0-1) unstable; urgency=low

  * New upstream release:
  
    - Switched to the TableView fragmentation oligomer display (was using
    TreeView);
  
    - Added feature by which it is now possible to stack fragmentation
    oligomers from different fragmentation calculations, thus providing a
    way to have a single list of fragments calculated in different
    ways.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 04 Jul 2011 22:47:50 +0200

massxpert (2.6.0-1) unstable; urgency=low

  * New upstream release:
  
    - Completely refactored the code for the isotopic cluster
    simulator. Increased speed calculation by a factor ~8. In particular,
    the simulator now handles handsomely the heavily-charged large
    polymers. It can use the gaussian or the lorentzian mathemical model
    to compute the curves.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 29 Jun 2011 07:48:37 +0200

massxpert (2.5.2-1) unstable; urgency=low

  * New upstream release:
  
    - Fix regression causing a crash when fragmenting oligomers in any
    kind of situation. This fix is critical.
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 06 Jun 2011 02:34:46 +0200

massxpert (2.5.1-1) unstable; urgency=low

  * Modified the email address of the uploader to my debian address
    lopippo@debian.org.
  * Removed the DM-Upload-Allowed bit.
  
  * New upstream release:
  
    - Fix serious bug that crashed the program upon recleaving a polymer
    within the same CleavageDlg window. That bug appeared related to the
    upgrade of the Qt libraries as it crept without modifications of the
    massXpert source code. The cleavage oligomers are now displayed in a
    QTableView widget instead of a QTreeView widget which simplified a lot
    both the code and the graphics display of the data.
  
    - Fix problems with the reliability of the cleavage details that were
    provided as feedback when an oligomer from the tree/table view was
    selected.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 05 Jun 2011 19:08:29 +0200

massxpert (2.5.0-1) unstable; urgency=low

  * New upstream release:
  
    - Implement feature allowing one to apply formulas commonly found
    during fragmentation, like loss of water or loss of ammonia, to each
    fragment oligomer computed for any given fragmentation pattern.

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Sun, 22 May 2011 21:25:17 +0200

massxpert (2.4.4-1) unstable; urgency=low

  * New upstream release:
  
    - Fix FTBFS with gcc-4.6 -Werror (this package builds with -Werror,
    and GCC 4.6 triggers new warnings) reported by Matthias Klose
    <doko@debian.org> (Closes: #625382).

 -- Filippo Rusconi <rusconi-debian@laposte.net>  Wed, 04 May 2011 22:50:03 +0200

massxpert (2.4.3-1) unstable; urgency=low

  * Upstream release. 
    
    - Rewrote the Formula's elementalComposition() so that the order of
    the atoms is in the CHNO->alphabetic conventional order;
    
    - Added ion charge proton to the formula of the z fragmentation
    specification;
    
    - Added feature: when running the mz calculations dialog from the
    sequence editor window, the masses are automatically set in the dialog
    window
    

