## massxpert 3.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "3.2.0")
+SET (VERSION "3.2.2")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.
