=== debian/changelog ===
massxpert (3.2.3-1) unstable; urgency=low

  * debian/rules: setting DPKG_EXPORT_BUILDFLAGS=1 to implement the Debian
    hardening guidelines.

  * Modification in the dna.xml file to better document the photocleavable 
    biotin modification

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 08 Jun 2012 11:09:47 +0200

massxpert (3.2.2-1) unstable; urgency=low

  * Upstream release:

    - Fix warning messages from gcc, complaining about set variable
    values, but unused variables. Replaced corresponding Q_ASSERT() calls
    to qFatal() ones.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 14 May 2012 17:28:42 +0200

massxpert (3.2.1-1) unstable; urgency=low

  * Upstream release:

    - fix a bug in the definition of the protein chemical modifications 
    TNB and  DTNB;
  
  * Add debian/upstream to document a reference to a paper describing this
    software;
  * Fix problem with failing symbolic link between the massxpert and -dbg
    doc directories (lintian W binaries-have-file-conflict);
  * Bump-up Standards Version number to 3.9.3 from 3.9.1.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 10 May 2012 15:57:45 +0200
