=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
 Build-Depends: debhelper (>=7.0.50~), libqt4-dev (>=4.4.3), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://www.massxpert.org
 Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git
 Vcs-Browser: http://git.debian.org/?p=debichem/packages/massxpert.git
