=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,12 @@
 $(info MAKEFLAGS: $(MAKEFLAGS))
 $(info DEB_BUILD_OPTIONS: $(DEB_BUILD_OPTIONS))
 $(info "---------------------------------------")
+
+# Hardening stuff, see http://wiki.debian.org/Hardening
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
 
 .NOTPARALLEL: 
 
@@ -162,9 +168,6 @@
 	dh_testroot -a
 	dh_installchangelogs  -a
 	dh_installdocs -a
-	# Same doc directory for changelog.Debian.gz and copyright files
-	# in both massxpert and massxpert-dbg
-	dh_link usr/share/doc/massxpert usr/share/doc/massxpert-dbg
 	dh_install -a
 	dh_installmenu -a
 	dh_installman -a
