=== debian/changelog ===
massxpert (3.4.0-1) unstable; urgency=low

  * New upstream release:

    - Implemented the primary selection clipboard copy in the sequence
    editor window;

    - Implemented feature that allows one to enter a coordinates string in
    the sequence editor window so as to select a specific sequence or make
    a multi-region selection or make a multi-selection region.

    - Refactored the mz lab GUI so as to greatly simplify its use.
  
    - Update of the french translation.
  
 -- Filippo Rusconi <lopippo@debian.org>  Tue, 25 Dec 2012 22:04:33 +0100

massxpert (3.3.0-1) unstable; urgency=low

  * New upstream release implementing new ways to import mass data in the
    m/z lists of the mzLab. Updated the documentation.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Dec 2012 21:00:17 +0100

massxpert (3.2.4-1) unstable; urgency=low

  * debian/control: add Build-Depends: dpkg-dev (>= 1.16.1~) as lintian
    complained about transitive dependencies that should be made explicit.
  
  * Added new modifications in the protein-1-letter chemistry definition.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 17 Oct 2012 20:37:47 +0200
