=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>=7.0.50~), libqt4-dev (>=4.4.3), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
+Build-Depends: debhelper (>=7.0.50~), dpkg-dev (>= 1.16.1~), libqt4-dev (>=4.6), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
 Standards-Version: 3.9.3
 Homepage: http://www.massxpert.org
 Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git
