## massxpert 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #############################################################
 # Software configuration
 PROJECT (massxpert)
-SET (VERSION "3.4.0")
+SET (VERSION "3.4.1")
 
 IF (APPLE)
   # If Mac OS X, then capitalize the program name.
