=== data/CMakeLists.txt ===
INSTALL (DIRECTORY pol-chem-defs pol-seqs dictionaries
  DESTINATION ${MASSXPERT_DATA_DIR})

INSTALL (FILES chem_pad.conf
  DESTINATION ${MASSXPERT_DATA_DIR})
