=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -49,10 +49,13 @@
   mzCalculationTreeViewItem.cpp
   mzCalculationTreeViewModel.cpp
   mzCalculationTreeViewSortProxyModel.cpp
+  mzLabFormulaBasedActionsDlg.cpp
   mzLabInputOligomerTableView.cpp
   mzLabInputOligomerTableViewDlg.cpp
   mzLabInputOligomerTableViewModel.cpp
   mzLabInputOligomerTableViewSortProxyModel.cpp
+  mzLabMassBasedActionsDlg.cpp
+  mzLabMatchBasedActionsDlg.cpp
   mzLabOutputOligomerTableView.cpp
   mzLabOutputOligomerTableViewDlg.cpp
   mzLabOutputOligomerTableViewModel.cpp
@@ -113,9 +116,12 @@
   mzCalculationDlg.hpp
   mzCalculationTreeView.hpp
   mzCalculationTreeViewModel.hpp
+  mzLabFormulaBasedActionsDlg.hpp
   mzLabInputOligomerTableView.hpp
   mzLabInputOligomerTableViewDlg.hpp
   mzLabInputOligomerTableViewModel.hpp
+  mzLabMassBasedActionsDlg.hpp
+  mzLabMatchBasedActionsDlg.hpp
   mzLabOutputOligomerTableView.hpp
   mzLabOutputOligomerTableViewDlg.hpp
   mzLabOutputOligomerTableViewModel.hpp
@@ -153,7 +159,10 @@
   ui/monomerDefDlg.ui
   ui/monomerModificationDlg.ui
   ui/mzCalculationDlg.ui
+  ui/mzLabFormulaBasedActionsDlg.ui
   ui/mzLabInputOligomerTableViewDlg.ui
+  ui/mzLabMassBasedActionsDlg.ui
+  ui/mzLabMatchBasedActionsDlg.ui
   ui/mzLabOutputOligomerTableViewDlg.ui
   ui/mzLabWnd.ui
   ui/pkaPhPiDlg.ui
