=== lib/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (masslib_SRCS
  atomCount.cpp
  atom.cpp
  calcOptions.cpp
  peakCentroid.cpp
  chemEntVignette.cpp
  chemEntVignetteRenderer.cpp
  chemicalGroup.cpp
  chemicalGroupRule.cpp
  cleaveMotif.cpp
  cleaveOligomer.cpp
  cleaveOptions.cpp
  cleaver.cpp
  cleaveRule.cpp
  cleaveSpec.cpp
  configSettings.cpp
  coordinates.cpp
  crossLink.cpp
  crossLinkedRegion.cpp
  crossLinker.cpp
  crossLinkerSpec.cpp
  crossLinkList.cpp
  formula.cpp
  fragmenter.cpp
  fragmentOligomer.cpp
  fragOptions.cpp
  fragRule.cpp
  fragSpec.cpp
  globals.cpp
  ionizable.cpp
  ionizeRule.cpp
  isotope.cpp
  isotopicPatternCalculator.cpp
  massList.cpp
  modif.cpp
  modifSpec.cpp
  monomer.cpp
  monomerDictionary.cpp
  monomerSpec.cpp
  oligomer.cpp
  oligomerList.cpp
  oligomerPair.cpp
  peakShape.cpp
  peakShapeConfig.cpp
  pkaPhPi.cpp
  pkaPhPiDataParser.cpp
  polChemDefCatParser.cpp
  polChemDef.cpp
  polChemDefEntity.cpp
  polChemDefSpec.cpp
  polymer.cpp
  ponderable.cpp
  prop.cpp
  propListHolder.cpp
  sequence.cpp
  userSpec.cpp
  )

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (masslib_MOC_HDRS
  chemEntVignette.hpp
  chemEntVignetteRenderer.hpp
  crossLinkList.hpp
  isotopicPatternCalculator.hpp
  oligomerList.hpp
  polymer.hpp
  )


########################################################
# Build

IF (CMAKE_BUILD_TYPE STREQUAL "debug")
  ADD_DEFINITIONS (-g -O0)
ENDIF ()

QT4_WRAP_CPP (masslib_MOC_SRCS  ${masslib_MOC_HDRS})

IF( APPLE )

ENDIF (APPLE)

ADD_LIBRARY (masslib STATIC 
  ${masslib_SRCS} ${masslib_MOC_SRCS}
  )


INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR} # for the config.h file generated from config.h.in
  )

TARGET_LINK_LIBRARIES (masslib
  ${QT_LIBRARIES}
  ${QT_QTXML_LIBRARIES}
  ${QT_QTSVG_LIBRARIES}
  )
