=== plugins-src/CMakeLists.txt ===
#############################################################
# process subdirs
SUBDIRS (massListSorterPlugin seqToolsPlugin numeralsLocaleConverterPlugin)
