=== plugins-src/massListSorterPlugin/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (massListSorterPlugin_SRCS
  massListSorterPlugin.cpp
  massListSorterPluginDlg.cpp
)

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (massListSorterPlugin_MOC_HDRS
  massListSorterPluginDlg.hpp
  massListSorterPlugin.hpp
)


########################################################
# Build

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ../.. ../../gui ../../lib
  )

QT4_WRAP_CPP (massListSorterPlugin_MOC_SRCS  ${massListSorterPlugin_MOC_HDRS})


ADD_DEFINITIONS (${QT_DEFINITIONS})
ADD_DEFINITIONS (-DQT_PLUGIN)
ADD_DEFINITIONS (-DQT_NO_DEBUG)
ADD_DEFINITIONS (-DQT_SHARED)


ADD_LIBRARY (massListSorterPlugin MODULE
  ${massListSorterPlugin_SRCS}
  ${massListSorterPlugin_MOC_SRCS}
  )


IF (WIN32 OR APPLE)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    masslib)
ELSEIF (UNIX)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES})
ENDIF (WIN32 OR APPLE)


TARGET_LINK_LIBRARIES (massListSorterPlugin
  ${linkLibraries})

INSTALL (TARGETS massListSorterPlugin
  DESTINATION ${MASSXPERT_PLUGIN_DIR})
