=== plugins-src/numeralsLocaleConverterPlugin/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (numeralsLocaleConverterPlugin_SRCS
  numeralsLocaleConverterPlugin.cpp
  numeralsLocaleConverterPluginDlg.cpp
  )

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (numeralsLocaleConverterPlugin_MOC_HDRS
  numeralsLocaleConverterPluginDlg.hpp
  numeralsLocaleConverterPlugin.hpp
  )

# Obtain the list with 
# for i in $(ls ui/*.ui) ; do echo "  $i"; done
SET (numeralsLocaleConverterPlugin_UIS
  ui/NumeralsLocaleConverterPluginDlg.ui
  )

########################################################
# Build

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ../.. ../../gui ../../lib
  )

QT4_WRAP_CPP (numeralsLocaleConverterPlugin_MOC_SRCS 
  ${numeralsLocaleConverterPlugin_MOC_HDRS})

QT4_WRAP_UI (numeralsLocaleConverterPlugin_UIS_H 
  ${numeralsLocaleConverterPlugin_UIS})

ADD_DEFINITIONS (${QT_DEFINITIONS})
ADD_DEFINITIONS (-DQT_PLUGIN)
ADD_DEFINITIONS (-DQT_NO_DEBUG)
ADD_DEFINITIONS (-DQT_SHARED)

ADD_LIBRARY (numeralsLocaleConverterPlugin MODULE
  ${numeralsLocaleConverterPlugin_SRCS} 
  ${numeralsLocaleConverterPlugin_MOC_SRCS}
  ${numeralsLocaleConverterPlugin_UIS_H}
  )

IF (WIN32 OR APPLE)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    masslib)
ELSEIF (UNIX)
  SET (linkLibraries
    ${QT_LIBRARIES}
    ${QT_QTGUI_LIBRARIES})
ENDIF (WIN32 OR APPLE)


TARGET_LINK_LIBRARIES (numeralsLocaleConverterPlugin
  ${linkLibraries})

INSTALL (TARGETS numeralsLocaleConverterPlugin
  DESTINATION ${MASSXPERT_PLUGIN_DIR})
