=== plugins-src/seqToolsPlugin/CMakeLists.txt ===
########################################################
# Files

# Obtain the list with 
# for i in $(ls *.cpp -1 | grep -v ^moc.* | grep -v ^qrc.*) ; do echo "  $i";done
SET (seqToolsPlugin_SRCS
  seqToolsPlugin.cpp
  seqToolsPluginDlg.cpp
)

# Obtain the list with 
# for i in $(grep -l Q_OBJECT *.hpp) ; do echo "  $i"; done
SET (seqToolsPlugin_MOC_HDRS
  seqToolsPluginDlg.hpp
  seqToolsPlugin.hpp
)

########################################################
# Build

INCLUDE_DIRECTORIES (
  ${QT_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR} 
  ../.. ../../gui ../../lib
  )

QT4_WRAP_CPP (seqToolsPlugin_MOC_SRCS  ${seqToolsPlugin_MOC_HDRS})

ADD_DEFINITIONS (${QT_DEFINITIONS})
ADD_DEFINITIONS (-DQT_PLUGIN)
ADD_DEFINITIONS (-DQT_NO_DEBUG)
ADD_DEFINITIONS (-DQT_SHARED)

ADD_LIBRARY (seqToolsPlugin MODULE
  ${seqToolsPlugin_SRCS} ${seqToolsPlugin_MOC_SRCS}
  )

TARGET_LINK_LIBRARIES (seqToolsPlugin
  ${QT_LIBRARIES}
  ${QT_QTGUI_LIBRARIES}
  )

INSTALL (TARGETS seqToolsPlugin
  DESTINATION ${MASSXPERT_PLUGIN_DIR})
