=== debian/changelog ===
massxpert (3.4.1-1) unstable; urgency=low

  * This new package happens to close a bug which needed no fixes
    (Closes: #701319)
  * debian/control: set Standards-Version: 3.9.4
  * debian/control: set standard vcs uri's
  * debian/compat: set value 9 (hardening stuff automagically handled)
  * debian/rules: update the hardening stuff according to using v9 of
    debhelper
  * debian/control: set debhelper dependency version to 9.20130630
  * massxpert.desktop: Icon=massxpert-icon-32 (no extension for filename)
  * massxpert.desktop: Categories=Science (one categ. only)
  
 -- Filippo Rusconi <lopippo@debian.org>  Mon, 01 Jul 2013 14:25:27 +0200
