=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>=7.0.50~), dpkg-dev (>= 1.16.1~), libqt4-dev (>=4.6), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>=9.20130630), dpkg-dev (>= 1.16.1~), libqt4-dev (>=4.6), cmake (>=2.6.0), texlive-latex-recommended, texlive-fonts-recommended
+Standards-Version: 3.9.4
 Homepage: http://www.massxpert.org
-Vcs-Git: git://git.debian.org/git/debichem/packages/massxpert.git
-Vcs-Browser: http://git.debian.org/?p=debichem/packages/massxpert.git
+Vcs-Git: git://anonscm.debian.org/debichem/packages/massxpert.git
+Vcs-Browser: http://anonscm.debian.org/git/debichem/packages/massxpert.git
 
 Package: massxpert
 Architecture: any
