=== debian/watch ===
version=3

http://download.tuxfamily.org/massxpert/source/ \
massxpert-([\d\.]*)\.tar\.gz \
